cURL
curl --request GET \
--url https://api-dev.withflock.com/campaigns \
--header 'Authorization: <api-key>'import requests
url = "https://api-dev.withflock.com/campaigns"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api-dev.withflock.com/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "<string>",
"refereeLandingPageUrl": {},
"termsUrl": {},
"proposedRewardTrigger": {},
"manualRewardTrigger": {},
"inviteMessage": {},
"isLive": true,
"isDefault": true,
"environment": "production",
"copiedFromCampaignId": {},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": {},
"organizationId": "<string>",
"applicationId": "<string>",
"lastPingAt": {},
"lastPingOrigin": {},
"rewards": [
{
"name": {},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": {},
"organizationId": "<string>",
"applicationId": "<string>",
"limit": {},
"type": "payout",
"campaignId": "<string>",
"description": {},
"party": "referrer",
"method": "paypal",
"payoutAmount": {},
"discountAmount": {},
"discountPercentage": {},
"discountDurationInMonth": {},
"currency": "usd",
"limitUnit": {},
"limitInterval": {},
"disabled": true
}
],
"emails": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": {},
"organizationId": "<string>",
"applicationId": "<string>",
"message": "<string>",
"type": "referrer:reward",
"campaignId": "<string>",
"subjectLine": "<string>",
"buttonText": "<string>",
"buttonColor": "<string>",
"logoUrl": {},
"logoSize": {}
}
],
"campaignPages": [
{
"path": "<string>",
"id": "<string>",
"isEmpty": true,
"name": {},
"placementId": {},
"platform": {}
}
],
"faqs": [
{}
],
"platforms": [
"mobile"
]
}
]Campaigns
List Campaigns
GET
/
campaigns
cURL
Authorizations
Query Parameters
Filter campaigns by environment
Available options:
production, test Filter live campaigns only
Filter default campaigns only
Sorting criteria. Available options: createdAt
Sorting direction. Available options: asc, desc
Response
200 - application/json
Available options:
production, test Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
mobile, web ⌘I